Subject: Re: cygwin path problems
From: Randall R Schulz <[email-masked]>
To: [email-masked], Soren A <[email-masked]>
Cc: [email-masked]
Date: Tue, 28 Jan 2003 22:32:49 -0800

Igor, Soren,

At 16:36 2003-01-28, Igor Pechtchanski wrote:
>On Tue, 28 Jan 2003, Soren A wrote:
>
> > ...
> >
> > Or re-invent that wheel, your choice ;-)
> >
> >   Soren A
>
>Why, one doesn't have to be a "cygpath" guru at all!  A little judicious
>application of sed, and you can turn a space-separated path into a
>colon-separated one. Which reduces the problem to the one already
>solved... ;-)
>
>Seriously, though, you could use something like
>     "`/bin/ls /cdv/D/goodies/babe*.jpg | cygpath -w -f -`"
>as the argument.  This should expand all the files.

Did you try that? It doesn't work for me. For one thing, I see no 
indication in cygpath's "--help" output that an argument of "-" tells 
it to read a name or names to convert from standard input. Nor will 
cygpath process multiple files (on the command line) in a single 
invocation (as you seem to suggest below).

>It would certainly be a good idea to add multiple filename capability to
>cygpath. If I have time over the next week, I'll submit a patch.
>
>     Igor

And for this case and many similarly simple ones, "tr" will do.

Randall Schulz 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/